name: deploy

on:
  push:
    branches: [ main ]

jobs:
  docker:
    runs-on: ubuntu-latest
    steps:
      - name: Install docker
        run: apt update && apt install -y docker.io

      - name: Checkout
        uses: https://github.com/actions/checkout@v3

      - name: Set up QEMU
        uses: https://github.com/docker/setup-qemu-action@v3
        with:
          platforms: amd64

      - name: Set up Docker Buildx
        uses: https://github.com/docker/setup-buildx-action@v3

      - name: Login to Docker Hub
        uses: https://github.com/docker/login-action@v3
        with:
          registry: gitea.mrdev023.fr
          username: ${{ secrets.USERNAME }}
          password: ${{ secrets.PASSWORD }}

      - name: Build and push
        uses: https://github.com/docker/build-push-action@v5
        with:
          context: .
          push: true
          tags: gitea.mrdev023.fr/florian.richer/portfolio:latest